%define anolis_release 3
Name:           harfbuzz
Version:        4.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Text shaping library

License:        MIT
URL:            https://harfbuzz.github.io/
Source0:        https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/harfbuzz-%{version}.tar.xz

BuildRequires:  cairo-devel
BuildRequires:  freetype-devel
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libicu-devel
BuildRequires:  graphite2-devel
BuildRequires:  gtk-doc
BuildRequires:  gcc-c++
BuildRequires: make

%description
HarfBuzz is an implementation of the OpenType Layout engine.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-icu = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        icu
Summary:        Harfbuzz ICU support library
Requires:       %{name} = %{version}-%{release}

%description    icu
This package contains Harfbuzz ICU support library.

%prep
%autosetup -p1


%build
%configure --disable-static --with-graphite2 --with-gobject --enable-introspection
%{make_build}


%install
%{make_install}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%generate_compatibility_deps

%ldconfig_scriptlets

%ldconfig_scriptlets icu


%files
%dir %{abidir}
%license COPYING
%{_libdir}/libharfbuzz.so.0*
%{_libdir}/libharfbuzz-gobject.so.0*
%{_libdir}/libharfbuzz-subset.so.0*
%{abidir}/libharfbuzz.dump
%{abidir}/libharfbuzz-gobject.dump
%{abidir}/libharfbuzz-subset.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib

%files doc
%doc NEWS AUTHORS README

%files devel
%doc %{_datadir}/gtk-doc
%{_bindir}/hb-view
%{_bindir}/hb-ot-shape-closure
%{_bindir}/hb-shape
%{_bindir}/hb-subset
%{abidir}/hb-view-option.list
%{abidir}/hb-ot-shape-closure-option.list
%{abidir}/hb-shape-option.list
%{abidir}/hb-subset-option.list
%{_includedir}/harfbuzz/
%{_libdir}/libharfbuzz.so
%{_libdir}/libharfbuzz-gobject.so
%{_libdir}/libharfbuzz-icu.so
%{_libdir}/libharfbuzz-subset.so
%{_libdir}/pkgconfig/harfbuzz.pc
%{_libdir}/pkgconfig/harfbuzz-gobject.pc
%{_libdir}/pkgconfig/harfbuzz-icu.pc
%{_libdir}/pkgconfig/harfbuzz-subset.pc
%{_libdir}/cmake/harfbuzz/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir

%files icu
%{_libdir}/libharfbuzz-icu.so.*
%{abidir}/libharfbuzz-icu.dump

%changelog
* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.2.0-3
- optimise spec file & add doc package

* Mon Apr 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.2.0-2
- Bump version to rebuild with icu-71

* Tue Apr 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.2.0-1
- init from upstream
